## org.eclipse.datatools.connectivity.sqm.core.rte.jdbc
Class JDBCProcedure

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl
                  org.eclipse.datatools.modelbase.sql.routines.impl.ProcedureImpl
                      org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCProcedure

All Implemented Interfaces:
  ICatalogObject, Procedure, Routine, SQLObject

    public class JDBCProcedure

extends ProcedureImpl
implements ICatalogObject

Constructor Summary
`JDBCProcedure()`

Method Summary
`boolean` `eIsSet(EStructuralFeature eFeature)`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`EList` `getParameters()`
`EList` `getResultSet()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.impl.ProcedureImpl
`eGet, eInverseRemove, eSet, eUnset, getMaxResultSets, isOldSavePoint, setMaxResultSets, setOldSavePoint, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl

`basicGetSchema, basicSetSchema, basicSetSource, eInverseAdd, getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Routine

`getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Constructor Detail

### JDBCProcedure

    public JDBCProcedure()

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### getParameters

    public EList getParameters()

  Description copied from class: `RoutineImpl`

  Specified by:
    `getParameters` in interface `Routine`
  Overrides:
    `getParameters` in class `RoutineImpl`
  Returns:
    the value of the 'Parameters' containment reference list.
  See Also:
    `SQLRoutinesPackage.getRoutine_Parameters()`, `Parameter.getRoutine()`

### getResultSet

    public EList getResultSet()

  Description copied from class: `ProcedureImpl`

  Specified by:
    `getResultSet` in interface `Procedure`
  Overrides:
    `getResultSet` in class `ProcedureImpl`
  Returns:
    the value of the 'Result Set' containment reference list.
  See Also:
    `SQLRoutinesPackage.getProcedure_ResultSet()`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Description copied from class: `ProcedureImpl`

  Overrides:
    `eIsSet` in class `ProcedureImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.